"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _SliderProvider = require("./SliderProvider");
var _Button = require("../types/Button.types");
var _Button2 = _interopRequireDefault(require("./Button"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const styles = _reactNative.StyleSheet.create({
  wrapper: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center'
  }
});
const Next = () => {
  const {
    renderNextButton,
    renderDoneButton,
    buttonsMaxSize,
    nextLabel,
    doneLabel,
    slide,
    goToNewSlide,
    isLastSlide,
    animations
  } = (0, _react.useContext)(_SliderProvider.SliderContext);
  const {
    _opacityOfNextButton,
    _opacityOfDoneButton
  } = animations;
  const renderDefaultNextButton = label => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button2.default, {
    label: label,
    type: _Button.ButtonType.Next
  });
  const renderDefaultDoneButton = label => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button2.default, {
    label: label,
    type: _Button.ButtonType.Done
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: [styles.wrapper, {
      maxWidth: buttonsMaxSize
    }],
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
      onPress: () => goToNewSlide(slide.active + 1),
      children: !isLastSlide ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Animated.View, {
        style: {
          opacity: _opacityOfNextButton
        },
        children: renderNextButton ? renderNextButton(nextLabel) : renderDefaultNextButton(nextLabel)
      }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Animated.View, {
        style: {
          opacity: _opacityOfDoneButton
        },
        children: renderDoneButton ? renderDoneButton(doneLabel) : renderDefaultDoneButton(doneLabel)
      })
    })
  });
};
var _default = exports.default = Next;
//# sourceMappingURL=Next.js.map