"use strict";

import React, { useContext } from 'react';
import { StyleSheet, View } from 'react-native';
import Dots from './Dots';
import Next from './Next';
import Previous from './Previous';
import { SliderContext } from './SliderProvider';
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
const styles = StyleSheet.create({
  wrapper: {
    position: 'absolute',
    width: '100%',
    maxWidth: '100%',
    flex: 1,
    flexDirection: 'column',
    justifyContent: 'flex-end',
    alignItems: 'center'
  },
  navigation: {
    flex: 1,
    justifyContent: 'space-between',
    alignItems: 'center'
  },
  flexDirectionRow: {
    flexDirection: 'row'
  },
  flexDirectionColumn: {
    flexDirection: 'column'
  }
});
const Navigation = () => {
  const {
    navigationBarBottom,
    navigationBarHeight,
    columnButtonStyle
  } = useContext(SliderContext);
  return /*#__PURE__*/_jsx(View, {
    style: [styles.wrapper, {
      bottom: navigationBarBottom,
      height: navigationBarHeight,
      maxHeight: navigationBarHeight
    }],
    children: /*#__PURE__*/_jsx(View, {
      style: [styles.navigation, columnButtonStyle ? styles.flexDirectionColumn : styles.flexDirectionRow],
      children: columnButtonStyle ? /*#__PURE__*/_jsxs(_Fragment, {
        children: [/*#__PURE__*/_jsx(Dots, {}), /*#__PURE__*/_jsx(Next, {}), /*#__PURE__*/_jsx(Previous, {})]
      }) : /*#__PURE__*/_jsxs(_Fragment, {
        children: [/*#__PURE__*/_jsx(Previous, {}), /*#__PURE__*/_jsx(Dots, {}), /*#__PURE__*/_jsx(Next, {})]
      })
    })
  });
};
export default Navigation;
//# sourceMappingURL=Navigation.js.map